﻿Imports System.Data.SqlClient

Module Module1

    Sub Main()
        '接続文字列
        Dim constr As String = "Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=C:\work\Books.mdf;Integrated Security=True;Connect Timeout=30"

        'SqlConnectionオブジェクトを生成
        Dim con As SqlConnection = New SqlConnection(constr)

        '追加する情報を入力
        Console.WriteLine("登録するユーザー情報を入力してください。")
        Console.Write("ID：")
        Dim id As Integer = Int32.Parse(Console.ReadLine())
        Console.Write("ユーザー名：")
        Dim username As String = Console.ReadLine()
        Console.Write("パスワード：")
        Dim password As String = Console.ReadLine()
        Console.Write("氏名：")
        Dim name As String = Console.ReadLine()

        '入力した情報をもとにSQL文を作成
        Dim sql As String = "INSERT INTO Users VALUES(@id, @username, @password, @name)"

        'SqlCommandオブジェクトを生成
        Dim cmd As New SqlCommand(sql, con)

        'パラメーターを追加する
        cmd.Parameters.Add("@id", SqlDbType.Int).Value = id
        Dim param As New SqlParameter("@username", SqlDbType.NVarChar)
        param.Value = username
        cmd.Parameters.Add(param)
        cmd.Parameters.Add(New SqlParameter("@password", SqlDbType.NVarChar)).Value = password
        cmd.Parameters.Add("@name", SqlDbType.NVarChar).Value = name

        '実行予定のSQL文を表示
        Console.WriteLine("実行するSQL文：{0}", cmd.CommandText)

        'データベースを開く
        con.Open()

        'SQL文を実行する
        Dim ret As Integer = cmd.ExecuteNonQuery()

        '変更のあった行数を表示する
        Console.WriteLine("変更のあった件数：{0}", ret)

        'データベースを閉じる
        con.Close()
        Console.ReadLine()
    End Sub

End Module
